Bug 241853 - Crash when select 'Search All Notes' for tomboy
Crash when select 'Search All Notes' for tomboy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 03:01 EDT by A S Alam
Modified: 2013-07-02 20:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 15:57:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2007-05-31 03:01:03 EDT
Description of problem:
application Crashed when select 'Search All Notes' for tomboy in Note
or from systemTray.

Version-Release number of selected component (if applicable):
tomboy-0.7.1-1.fc8

How reproducible:
Everytime during Select "Search"

Steps to Reproduce:
1. run tomboy
2. select "Search All Notes' from tray ICON
3.
  
Actual results:
Crashed


Expected results:
should work

Additional info:
some terminal info
---------
leak or unexpectedly abort soon...
GTK Accessibility Module initialized
Bonobo accessibility support initialized
[DEBUG]: NoteManager created with note path "/home/aalam/.tomboy".
Trying Plugin: Backlinks.dll ... BacklinksPlugin. [DEBUG]: Done.
Trying Plugin: Bugzilla.dll ... BugzillaPlugin. [DEBUG]: Done.
Trying Plugin: Evolution.dll ... EvolutionPlugin. [DEBUG]: Done.
Trying Plugin: ExportToHTML.dll ... ExportToHTMLPlugin. [DEBUG]: Done.
Trying Plugin: FixedWidth.dll ... FixedWidthPlugin. [DEBUG]: Done.
Trying Plugin: NoteOfTheDay.dll ... NoteOfTheDayPlugin. [DEBUG]: Done.
Trying Plugin: PrintNotes.dll ... PrintPlugin. [DEBUG]: Done.
Trying Plugin: StickyNoteImport.dll ... StickyNoteImporter. [DEBUG]: Done.
[DEBUG]: StickyNoteImporter: Sticky Notes XML file does not exist or is invalid!
[DEBUG]: Tomboy remote control active.
[DEBUG]: EnableDisable Called: enabling... True
[DEBUG]: Binding key '<Alt>F12' for '/apps/tomboy/global_keybindings/show_note_menu'
[DEBUG]: Binding key '<Alt>F11' for
'/apps/tomboy/global_keybindings/open_start_here'

(Tomboy:3997): GdkPixbuf-CRITICAL **: gdk_pixbuf_new_from_file: assertion
`filename != NULL' failed

(Tomboy:3997): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT
(object)' failed
Stacktrace:

  at (wrapper managed-to-native)
Tomboy.ForcedPresentWindow.tomboy_window_present_hardcore (intptr) <0x00004>
  at (wrapper managed-to-native)
Tomboy.ForcedPresentWindow.tomboy_window_present_hardcore (intptr) <0xffffffff>
  at Tomboy.ForcedPresentWindow.Present () <0x0001a>
  at Tomboy.Tomboy.OpenSearchAll (object,System.EventArgs) <0x0001d>
  at (wrapper delegate-invoke)
System.MulticastDelegate.invoke_void_object_EventArgs (object,System.EventArgs)
<0xffffffff>
  at GLib.Signal.voidObjectCallback (intptr,intptr) <0x00093>
  at (wrapper native-to-managed) GLib.Signal.voidObjectCallback (intptr,intptr)
<0xffffffff>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0x00004>
  at (wrapper managed-to-native) Gtk.Application.gtk_main () <0xffffffff>
  at Gtk.Application.Run () <0x00007>
  at Gnome.Program.Run () <0x00007>
  at Tomboy.Application.StartMainLoop () <0x00014>
  at Tomboy.Tomboy.StartTrayIcon () <0x000b2>
  at Tomboy.Tomboy.Main (string[]) <0x001bc>
  at (wrapper runtime-invoke) System.Object.runtime_invoke_void_string[]
(object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

        mono [0x815738a]
        mono [0x81205a8]
        [0xb3f440]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_icon_set_render_icon+0x5ea) [0x70fae5a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_render_icon+0xbe) [0x7278a2e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71116a1]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71116e0]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x20c) [0xbfeebc]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x704d0a1]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x20c) [0xbfeebc]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71cdd60]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x20c) [0xbfeebc]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x70f1041]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x20c) [0xbfeebc]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x726c231]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x20c) [0xbfeebc]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x726c231]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x20c) [0xbfeebc]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x72845f5]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__BOXED+0x63) [0xc0ce43]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x123) [0xbfedd3]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit_by_name+0xee) [0xc1442e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b1598]
        /usr/lib/libgtk-x11-2.0.so.0 [0x71b180a]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_size_request+0x56) [0x7277b36]
        /usr/lib/libgtk-x11-2.0.so.0 [0x728ba62]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49) [0xc0c7e9]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x123) [0xbfedd3]
        /lib/libgobject-2.0.so.0 [0xc10d9a]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0xc12019]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_realize+0xc0) [0x72797d0]
        /usr/lib/tomboy/libtomboy.so(tomboy_window_present_hardcore+0x54)
[0x6c30164]
        [0x1fc51fd]
        [0x1fc51b3]
        [0x6091c1e]
        [0x49b54ef]
        [0x608c5c4]
        [0x159f846]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49) [0xc0c7e9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x123) [0xbfedd3]
        /lib/libgobject-2.0.so.0 [0xc10bf1]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0xc12019]
        /usr/lib/libgtk-x11-2.0.so.0 [0x7037135]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_action_activate+0x51) [0x7037fe1]
        /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x49) [0xc0c7e9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x123) [0xbfedd3]
        /lib/libgobject-2.0.so.0 [0xc1090d]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x823) [0xc11d73]
        /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0xc12019]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x58) [0x7276698]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x14a) [0x714aa0a]
        /usr/lib/libgtk-x11-2.0.so.0 [0x714ca0e]
        /usr/lib/libgtk-x11-2.0.so.0 [0x714225d]
        /usr/lib/libgtk-x11-2.0.so.0 [0x713b082]
        /lib/libgobject-2.0.so.0 [0xbfd5c9]
        /lib/libgobject-2.0.so.0(g_closure_invoke+0x123) [0xbfedd3]
        /lib/libgobject-2.0.so.0 [0xc10f53]
        /lib/libgobject-2.0.so.0(g_signal_emit_valist+0x6d6) [0xc11c26]
        /lib/libgobject-2.0.so.0(g_signal_emit+0x29) [0xc12019]
        /usr/lib/libgtk-x11-2.0.so.0 [0x7271198]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0x1ae) [0x713307e]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x3f5) [0x7134485]
        /usr/lib/libgdk-x11-2.0.so.0 [0x1cab21a]
        /lib/libglib-2.0.so.0(g_main_context_dispatch+0x17c) [0x13df9c]
        /lib/libglib-2.0.so.0 [0x14135f]
        /lib/libglib-2.0.so.0(g_main_loop_run+0x1a9) [0x141709]
        /usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb4) [0x7134914]
        [0x608b31a]
        [0x608b2d8]
        [0x608b2b8]
        [0x608b295]
        [0x6086bd3]
        [0x23147d]
        [0x231063]
        mono(mono_runtime_exec_main+0x62) [0x80b70b2]
        mono(mono_runtime_run_main+0x1b9) [0x80b7399]
        mono(mono_main+0xeab) [0x805883b]
        mono [0x8057482]
        /lib/libc.so.6(__libc_start_main+0xe0) [0x720f70]
        mono [0x80573d1]

Debug info from gdb:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 1932976 (LWP 3997)]
[New Thread 61524880 (LWP 4000)]
[New Thread 123976592 (LWP 3999)]
[New Thread 2288528 (LWP 3998)]
0x00b3f402 in __kernel_vsyscall ()
  4 Thread 2288528 (LWP 3998)  0x00b3f402 in __kernel_vsyscall ()
  3 Thread 123976592 (LWP 3999)  0x00b3f402 in __kernel_vsyscall ()
  2 Thread 61524880 (LWP 4000)  0x00b3f402 in __kernel_vsyscall ()
  1 Thread 1932976 (LWP 3997)  0x00b3f402 in __kernel_vsyscall ()

Thread 4 (Thread 2288528 (LWP 3998)):
#0  0x00b3f402 in __kernel_vsyscall ()
#1  0x008b4506 in nanosleep () from /lib/libpthread.so.0
#2  0x080f80d4 in collection_thread (unused=0x0) at collection.c:34
#3  0x008ad2fb in start_thread () from /lib/libpthread.so.0
#4  0x007db93e in clone () from /lib/libc.so.6

Thread 3 (Thread 123976592 (LWP 3999)):
#0  0x00b3f402 in __kernel_vsyscall ()
#1  0x007e851e in __lll_mutex_lock_wait () from /lib/libc.so.6
#2  0x007771e0 in _L_lock_12956 () from /lib/libc.so.6
#3  0x00775aa2 in free_atfork () from /lib/libc.so.6
#4  0x00776525 in free () from /lib/libc.so.6
#5  0x00145651 in IA__g_free (mem=0x9dc3ee0) at gmem.c:187
#6  0x00c700c5 in ?? ()
#7  0x09dc3ee0 in ?? ()
#8  0x0034c8c0 in ?? ()
#9  0x013484c8 in ?? ()
#10 0x09510178 in ?? ()
#11 0x00c6d374 in ?? ()
#12 0x0763b14c in ?? ()
#13 0x000a82f8 in ?? ()
#14 0x0000025b in ?? ()
#15 0x09dc3ee0 in ?? ()
#16 0x0763b140 in ?? ()
#17 0x00c7009c in ?? ()
#18 0x0763b14c in ?? ()
#19 0x00c70083 in ?? ()
#20 0x09dc3ee0 in ?? ()
#21 0x0763b170 in ?? ()
#22 0x01348444 in ?? ()
#23 0x09dc3ee0 in ?? ()
#24 0x09d540e0 in ?? ()
#25 0x09dc3ee0 in ?? ()
#26 0x0000025b in ?? ()
#27 0x09d540e0 in ?? ()
#28 0x00000000 in ?? ()

Thread 2 (Thread 61524880 (LWP 4000)):
#0  0x00b3f402 in __kernel_vsyscall ()
#1  0x007cc41b in read () from /lib/libc.so.6
#2  0x0135d3a9 in ?? ()
#3  0x0000001c in ?? ()
#4  0x0008d010 in ?? ()
#5  0x00001000 in ?? ()
#6  0x00aac2a4 in ?? ()
#7  0x0008d010 in ?? ()
#8  0x0977d778 in ?? ()
#9  0x00001000 in ?? ()
#10 0x00000000 in ?? ()

Thread 1 (Thread 1932976 (LWP 3997)):
#0  0x00b3f402 in __kernel_vsyscall ()
#1  0x0079b32f in fork () from /lib/libc.so.6
#2  0x008b62c4 in fork () from /lib/libpthread.so.0
#3  0x0016dfa9 in fork_exec_with_pipes (intermediate_child=0, 
    working_directory=0x0, argv=0x9c18c48, envp=0x0, close_descriptors=1, 
    search_path=1, stdout_to_null=0, stderr_to_null=0, child_inherits_stdin=0, 
    file_and_argv_zero=0, child_setup=0, user_data=0x0, child_pid=0xbfbd0b80, 
    standard_input=0x0, standard_output=0xbfbd0b88, standard_error=0xbfbd0b84, 
    error=0x0) at gspawn.c:1117
#4  0x0016eb9b in IA__g_spawn_sync (working_directory=0x0, argv=0x0, envp=0x0, 
    flags=G_SPAWN_LEAVE_DESCRIPTORS_OPEN, child_setup=0, user_data=0x0, 
    standard_output=0xbfbd10a4, standard_error=0xbfbd10a0, 
    exit_status=0xbfbd109c, error=0x0) at gspawn.c:249
#5  0x0016f03c in IA__g_spawn_command_line_sync (
    command_line=0xbfbd10a8 "gdb --ex 'attach 3997' --ex 'info threads' --ex
'thread apply all bt' --batch", standard_output=0xbfbd10a4, 
    standard_error=0xbfbd10a0, exit_status=0xbfbd109c, error=0x0)
    at gspawn.c:672
#6  0x0815743d in mono_handle_native_sigsegv (signal=11, ctx=0xbfbd156c)
    at mini-exceptions.c:1066
#7  0x081205a8 in sigsegv_signal_handler (_dummy=11, info=0xbfbd14ec, 
    context=0xbfbd156c) at mini.c:11108
#8  <signal handler called>
#9  0x070fae5a in IA__gtk_icon_set_render_icon (icon_set=0x9ba81d8, 
    style=0x9ba0c00, direction=GTK_TEXT_DIR_LTR, state=GTK_STATE_INSENSITIVE, 
    size=GTK_ICON_SIZE_MENU, widget=0x9d5d5c0, detail=0x0)
    at gtkiconfactory.c:1470
#10 0x07278a2e in IA__gtk_widget_render_icon (widget=0x9d5d5c0, 
    stock_id=0x9d8b9b8 "gtk-clear", size=GTK_ICON_SIZE_MENU, detail=0x0)
    at gtkwidget.c:5842
#11 0x071116a1 in gtk_image_calc_size (image=0x9d5d5c0) at gtkimage.c:1957
#12 0x071116e0 in gtk_image_size_request (widget=0x9d5d5c0, 
    requisition=0x9d5d5dc) at gtkimage.c:1998
#13 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd1c14, 
    invocation_hint=0xbfbd1af4, marshal_data=0x71116b0) at gmarshal.c:566
#14 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd1c14, 
    invocation_hint=0xbfbd1af4, marshal_data=0x7c) at gclosure.c:567
#15 0x00bfeebc in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd1c14, invocation_hint=0xbfbd1af4)
    at gclosure.c:490
#16 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x9d5d5c0, emission_return=0x0, instance_and_params=0xbfbd1c14)
    at gsignal.c:2370
#17 0x00c11d73 in IA__g_signal_emit_valist (instance=0x9d5d5c0, signal_id=14, 
    detail=0, 
    var_args=0xbfbd1e64
"�\f=\a���\t\004\037��\220\036��\n\030\033\a0�`\t��`@�\036���\f=\a���\t\004\037���\036��6{'\a���\t\004\037��")
at gsignal.c:2199
#18 0x00c1442e in IA__g_signal_emit_by_name (instance=0x9d5d5c0, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#19 0x071b1598 in do_size_request (widget=0x9d5d5c0) at gtksizegroup.c:595
#20 0x071b180a in _gtk_size_group_compute_requisition (widget=0x9d5d5c0, 
    requisition=0xbfbd1f04) at gtksizegroup.c:795
#21 0x07277b36 in IA__gtk_widget_size_request (widget=0x9d5d5c0, 
    requisition=0xbfbd1f04) at gtkwidget.c:3096
#22 0x0704d0a1 in gtk_button_size_request (widget=0x960ae30, 
    requisition=0x960ae4c) at gtkbutton.c:1129
#23 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd21d4, 
    invocation_hint=0xbfbd20b4, marshal_data=0x704cee0) at gmarshal.c:566
#24 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd21d4, 
    invocation_hint=0xbfbd20b4, marshal_data=0x7c) at gclosure.c:567
#25 0x00bfeebc in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd21d4, invocation_hint=0xbfbd20b4)
    at gclosure.c:490
#26 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x960ae30, emission_return=0x0, instance_and_params=0xbfbd21d4)
    at gsignal.c:2370
#27 0x00c11d73 in IA__g_signal_emit_valist (instance=0x960ae30, signal_id=14, 
    detail=0, var_args=0xbfbd2424 "�\f=\a0�`\t") at gsignal.c:2199
#28 0x00c1442e in IA__g_signal_emit_by_name (instance=0x960ae30, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#29 0x071b1598 in do_size_request (widget=0x960ae30) at gtksizegroup.c:595
#30 0x071b180a in _gtk_size_group_compute_requisition (widget=0x960ae30, 
    requisition=0x0) at gtksizegroup.c:795
#31 0x07277b36 in IA__gtk_widget_size_request (widget=0x960ae30, 
    requisition=0x0) at gtkwidget.c:3096
#32 0x071cdd60 in gtk_table_size_request (widget=0x9ba2d30, 
    requisition=0x9ba2d4c) at gtktable.c:960
#33 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd27b4, 
    invocation_hint=0xbfbd2694, marshal_data=0x71cdc30) at gmarshal.c:566
#34 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd27b4, 
    invocation_hint=0xbfbd2694, marshal_data=0x7c) at gclosure.c:567
#35 0x00bfeebc in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd27b4, invocation_hint=0xbfbd2694)
    at gclosure.c:490
#36 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x9ba2d30, emission_return=0x0, instance_and_params=0xbfbd27b4)
    at gsignal.c:2370
#37 0x00c11d73 in IA__g_signal_emit_valist (instance=0x9ba2d30, signal_id=14, 
    detail=0, var_args=0xbfbd2a04 "�\f=\a0-�\t|*��0*��\n\030\033\a(��\t")
    at gsignal.c:2199
#38 0x00c1442e in IA__g_signal_emit_by_name (instance=0x9ba2d30, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#39 0x071b1598 in do_size_request (widget=0x9ba2d30) at gtksizegroup.c:595
#40 0x071b180a in _gtk_size_group_compute_requisition (widget=0x9ba2d30, 
    requisition=0xbfbd2a7c) at gtksizegroup.c:795
#41 0x07277b36 in IA__gtk_widget_size_request (widget=0x9ba2d30, 
    requisition=0xbfbd2a7c) at gtkwidget.c:3096
#42 0x070f1041 in gtk_hbox_size_request (widget=0x9bfae30, 
    requisition=0x9bfae4c) at gtkhbox.c:97
#43 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd2d44, 
    invocation_hint=0xbfbd2c24, marshal_data=0x70f0fb0) at gmarshal.c:566
#44 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd2d44, 
    invocation_hint=0xbfbd2c24, marshal_data=0x7c) at gclosure.c:567
#45 0x00bfeebc in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd2d44, invocation_hint=0xbfbd2c24)
    at gclosure.c:490
#46 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x9bfae30, emission_return=0x0, instance_and_params=0xbfbd2d44)
    at gsignal.c:2370
#47 0x00c11d73 in IA__g_signal_emit_valist (instance=0x9bfae30, signal_id=14, 
    detail=0, var_args=0xbfbd2f94 "�\f=\a0��\t\f0���/��\n\030\033\a\001")
    at gsignal.c:2199
#48 0x00c1442e in IA__g_signal_emit_by_name (instance=0x9bfae30, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#49 0x071b1598 in do_size_request (widget=0x9bfae30) at gtksizegroup.c:595
#50 0x071b180a in _gtk_size_group_compute_requisition (widget=0x9bfae30, 
    requisition=0xbfbd300c) at gtksizegroup.c:795
#51 0x07277b36 in IA__gtk_widget_size_request (widget=0x9bfae30, 
    requisition=0xbfbd300c) at gtkwidget.c:3096
#52 0x0726c231 in gtk_vbox_size_request (widget=0x9db0420, 
    requisition=0x9db043c) at gtkvbox.c:95
#53 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd32d4, 
    invocation_hint=0xbfbd31b4, marshal_data=0x726c1a0) at gmarshal.c:566
#54 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd32d4, 
    invocation_hint=0xbfbd31b4, marshal_data=0x7c) at gclosure.c:567
#55 0x00bfeebc in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd32d4, invocation_hint=0xbfbd31b4)
    at gclosure.c:490
#56 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x9db0420, emission_return=0x0, instance_and_params=0xbfbd32d4)
    at gsignal.c:2370
#57 0x00c11d73 in IA__g_signal_emit_valist (instance=0x9db0420, signal_id=14, 
    detail=0, var_args=0xbfbd3524 "�\f=\a \004�\t\2345��P5��\n\030\033\a  �\t")
    at gsignal.c:2199
#58 0x00c1442e in IA__g_signal_emit_by_name (instance=0x9db0420, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#59 0x071b1598 in do_size_request (widget=0x9db0420) at gtksizegroup.c:595
#60 0x071b180a in _gtk_size_group_compute_requisition (widget=0x9db0420, 
    requisition=0xbfbd359c) at gtksizegroup.c:795
#61 0x07277b36 in IA__gtk_widget_size_request (widget=0x9db0420, 
    requisition=0xbfbd359c) at gtkwidget.c:3096
#62 0x0726c231 in gtk_vbox_size_request (widget=0x9db0470, 
    requisition=0x9db048c) at gtkvbox.c:95
#63 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd3864, 
    invocation_hint=0xbfbd3744, marshal_data=0x726c1a0) at gmarshal.c:566
#64 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd3864, 
    invocation_hint=0xbfbd3744, marshal_data=0x7c) at gclosure.c:567
#65 0x00bfeebc in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd3864, invocation_hint=0xbfbd3744)
    at gclosure.c:490
#66 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x9db0470, emission_return=0x0, instance_and_params=0xbfbd3864)
    at gsignal.c:2370
#67 0x00c11d73 in IA__g_signal_emit_valist (instance=0x9db0470, signal_id=14, 
    detail=0, 
    var_args=0xbfbd3ab4 "�\f=\ap\004�\t\034;���:��\n\030\033\a\030\035�\t�")
    at gsignal.c:2199
#68 0x00c1442e in IA__g_signal_emit_by_name (instance=0x9db0470, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#69 0x071b1598 in do_size_request (widget=0x9db0470) at gtksizegroup.c:595
#70 0x071b180a in _gtk_size_group_compute_requisition (widget=0x9db0470, 
    requisition=0xbfbd3b1c) at gtksizegroup.c:795
#71 0x07277b36 in IA__gtk_widget_size_request (widget=0x9db0470, 
    requisition=0xbfbd3b1c) at gtkwidget.c:3096
#72 0x072845f5 in gtk_window_size_request (widget=0x99826f0, 
    requisition=0x998270c) at gtkwindow.c:4668
#73 0x00c0ce43 in IA__g_cclosure_marshal_VOID__BOXED (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd3de4, 
    invocation_hint=0xbfbd3cc4, marshal_data=0x7284540) at gmarshal.c:566
#74 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x95da2a8, 
    return_value=0x0, n_param_values=2, param_values=0xbfbd3de4, 
    invocation_hint=0xbfbd3cc4, marshal_data=0x7c) at gclosure.c:567
#75 0x00bfedd3 in IA__g_closure_invoke (closure=0x95da2a8, return_value=0x0, 
    n_param_values=2, param_values=0xbfbd3de4, invocation_hint=0xbfbd3cc4)
    at gclosure.c:490
#76 0x00c10d9a in signal_emit_unlocked_R (node=0x9616cd0, detail=0, 
    instance=0x99826f0, emission_return=0x0, instance_and_params=0xbfbd3de4)
    at gsignal.c:2370
#77 0x00c11d73 in IA__g_signal_emit_valist (instance=0x99826f0, signal_id=14, 
    detail=0, var_args=0xbfbd4034 "�\f=\a�&\230\t\fA��`@��\n\030\033\a")
    at gsignal.c:2199
#78 0x00c1442e in IA__g_signal_emit_by_name (instance=0x99826f0, 
    detailed_signal=0x7337aba "size_request") at gsignal.c:2267
#79 0x071b1598 in do_size_request (widget=0x99826f0) at gtksizegroup.c:595
#80 0x071b180a in _gtk_size_group_compute_requisition (widget=0x99826f0, 
    requisition=0xbfbd410c) at gtksizegroup.c:795
#81 0x07277b36 in IA__gtk_widget_size_request (widget=0x99826f0, 
    requisition=0xbfbd410c) at gtkwidget.c:3096
#82 0x0728ba62 in gtk_window_realize (widget=0x99826f0) at gtkwindow.c:4447
#83 0x00c0c7e9 in IA__g_cclosure_marshal_VOID__VOID (closure=0x9616b38, 
    return_value=0x0, n_param_values=1, param_values=0xbfbd43c4, 
    invocation_hint=0xbfbd42a4, marshal_data=0x728b5f0) at gmarshal.c:77
#84 0x00bfd5c9 in g_type_class_meta_marshal (closure=0x9616b38, 
    return_value=0x0, n_param_values=1, param_values=0xbfbd43c4, 
    invocation_hint=0xbfbd42a4, marshal_data=0x74) at gclosure.c:567
#85 0x00bfedd3 in IA__g_closure_invoke (closure=0x9616b38, return_value=0x0, 
    n_param_values=1, param_values=0xbfbd43c4, invocation_hint=0xbfbd42a4)
    at gclosure.c:490
#86 0x00c10d9a in signal_emit_unlocked_R (node=0x9616a00, detail=0, 
    instance=0x99826f0, emission_return=0x0, instance_and_params=0xbfbd43c4)
    at gsignal.c:2370
#87 0x00c11d73 in IA__g_signal_emit_valist (instance=0x99826f0, signal_id=12, 
    detail=0, var_args=0x9dd415c "\204A�\t�A�\t@") at gsignal.c:2199
#88 0x00c12019 in IA__g_signal_emit (instance=0x99826f0, signal_id=12, 
    detail=0) at gsignal.c:2243
#89 0x072797d0 in IA__gtk_widget_realize (widget=0x99826f0) at gtkwidget.c:2718
#90 0x06c30164 in tomboy_window_present_hardcore ()
   from /usr/lib/tomboy/libtomboy.so
#91 0x01fc51fd in ?? ()
#92 0x099826f0 in ?? ()
#93 0x00bd4688 in art_pixbuf_new_const_rgba () from /usr/lib/libart_lgpl_2.so.2
#94 0x01fc51b3 in ?? ()
#95 0x099826f0 in ?? ()
#96 0x099826f0 in ?? ()
#97 0x03326ac8 in ?? ()
#98 0xbfbd4698 in ?? ()
#99 0x06091c1e in ?? ()
#100 0x015bee80 in ?? ()
#101 0x015bee80 in ?? ()
#102 0xbfbd46b0 in ?? ()
#103 0x049b54ef in ?? ()
#104 0x03326ac8 in ?? ()
#105 0x03316cb0 in ?? ()
#106 0x00000000 in ?? ()
#0  0x00b3f402 in __kernel_vsyscall ()


=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries 
used by your application.
=================================================================
Aborted
Comment 1 sangu 2007-05-31 18:50:47 EDT
gtk2-2.11.0-1.fc8 bug?

Clicking "Stock item and Icon Browser" in gtk-demo 

$ gdb gtk-demo
GNU gdb Red Hat Linux (6.6-8.fc7rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) r
Starting program: /usr/bin/gtk-demo 

(gtk-demo:18284): GdkPixbuf-CRITICAL **: gdk_pixbuf_new_from_file: assertion
`filename != NULL' failed

(gtk-demo:18284): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT
(object)' failed

Program received signal SIGSEGV, Segmentation fault.
0x00226e7a in IA__gtk_icon_set_render_icon (icon_set=0x87a4848, 
    style=0x8624500, direction=GTK_TEXT_DIR_LTR, state=GTK_STATE_NORMAL, 
    size=GTK_ICON_SIZE_MENU, widget=0x85809b0, detail=0x0)
    at gtkiconfactory.c:1470
1470          g_warning ("Error loading theme icon for stock: %s", error->message);
(gdb) bt
#0  0x00226e7a in IA__gtk_icon_set_render_icon (icon_set=0x87a4848, 
    style=0x8624500, direction=GTK_TEXT_DIR_LTR, state=GTK_STATE_NORMAL, 
    size=GTK_ICON_SIZE_MENU, widget=0x85809b0, detail=0x0)
    at gtkiconfactory.c:1470
#1  0x003a4a6e in IA__gtk_widget_render_icon (widget=0x85809b0, 
    stock_id=0x87a4898 "gtk-color-picker", size=GTK_ICON_SIZE_MENU, detail=0x0)
    at gtkwidget.c:5842
#2  0x0805f723 in do_stock_browser (do_widget=0x8580850) at stock_browser.c:177
#3  0x08062a1a in row_activated_cb (tree_view=0x859d000, path=0x876df70, 
    column=0x85a7000) at main.c:611
#4  0x0026392b in _gtk_marshal_VOID__BOXED_OBJECT (closure=0x85a94c8, 
    return_value=0x0, n_param_values=3, param_values=0xbfbc2fdc, 
    invocation_hint=0xbfbc2ebc, marshal_data=0x8062940) at gtkmarshalers.c:1508
#5  0x00953dd3 in IA__g_closure_invoke (closure=0x85a94c8, return_value=0x0, 
    n_param_values=3, param_values=0xbfbc2fdc, invocation_hint=0xbfbc2ebc)
    at gclosure.c:490
#6  0x0096590d in signal_emit_unlocked_R (node=0x8599330, detail=0, 
    instance=0x859d000, emission_return=0x0, instance_and_params=0xbfbc2fdc)
    at gsignal.c:2440
#7  0x00966d73 in IA__g_signal_emit_valist (instance=0x859d000, signal_id=93, 
    detail=0, var_args=0xbfbc3224 "x7V\b�jH") at gsignal.c:2199
#8  0x00967019 in IA__g_signal_emit (instance=0x859d000, signal_id=93, 
    detail=0) at gsignal.c:2243
---Type <return> to continue, or q <return> to quit---
#9  0x00377151 in IA__gtk_tree_view_row_activated (tree_view=0x859d000, 
    path=0x877f4d8, column=0x85a7000) at gtktreeview.c:11521
#10 0x00387ffc in gtk_tree_view_button_press (widget=0x859d000, 
    event=0x8592948) at gtktreeview.c:2701
#11 0x002670a2 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8578360, 
    return_value=0xbfbc34c0, n_param_values=2, param_values=0xbfbc35cc, 
    invocation_hint=0xbfbc34ac, marshal_data=0x3876f0) at gtkmarshalers.c:84
#12 0x009525c9 in g_type_class_meta_marshal (closure=0x8578360, 
    return_value=0xbfbc34c0, n_param_values=2, param_values=0xbfbc35cc, 
    invocation_hint=0xbfbc34ac, marshal_data=0xb0) at gclosure.c:567
#13 0x00953dd3 in IA__g_closure_invoke (closure=0x8578360, 
    return_value=0xbfbc34c0, n_param_values=2, param_values=0xbfbc35cc, 
    invocation_hint=0xbfbc34ac) at gclosure.c:490
#14 0x00965f53 in signal_emit_unlocked_R (node=0x85778e0, detail=0, 
    instance=0x859d000, emission_return=0xbfbc378c, 
    instance_and_params=0xbfbc35cc) at gsignal.c:2478
#15 0x00966c26 in IA__g_signal_emit_valist (instance=0x859d000, signal_id=28, 
    detail=0, var_args=0xbfbc3810 "(8��H)Y\b") at gsignal.c:2209
#16 0x00967019 in IA__g_signal_emit (instance=0x859d000, signal_id=28, 
    detail=0) at gsignal.c:2243
#17 0x0039d1d8 in gtk_widget_event_internal (widget=0x859d000, event=0x8592948)
    at gtkwidget.c:4136
#18 0x0025f09e in IA__gtk_propagate_event (widget=0x859d000, event=0x8592948)
---Type <return> to continue, or q <return> to quit---
    at gtkmain.c:2343
#19 0x002605d8 in IA__gtk_main_do_event (event=0x8592948) at gtkmain.c:1548
#20 0x006fe23a in gdk_event_dispatch (source=0x8561eb8, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2321
#21 0x00604f9c in IA__g_main_context_dispatch (context=0x8561f00)
    at gmain.c:2061
#22 0x0060835f in g_main_context_iterate (context=0x8561f00, block=1, 
    dispatch=1, self=0x8563028) at gmain.c:2694
#23 0x00608709 in IA__g_main_loop_run (loop=0x86e5010) at gmain.c:2898
#24 0x00260934 in IA__gtk_main () at gtkmain.c:1142
#25 0x08064573 in main (argc=0, argv=0x0) at main.c:927
#26 0x00e4af70 in __libc_start_main (main=0x8063b80 <main>, argc=1, 
    ubp_av=0xbfbc3ba4, init=0x8064680 <__libc_csu_init>, 
    fini=0x8064670 <__libc_csu_fini>, rtld_fini=0xc66660 <_dl_fini>, 
    stack_end=0xbfbc3b9c) at libc-start.c:222
#27 0x08051101 in _start ()
Comment 2 sangu 2007-05-31 20:21:52 EDT
See : http://bugzilla.gnome.org/show_bug.cgi?id=440982
Comment 3 Matthias Clasen 2008-03-28 15:57:24 EDT
The underlying GTK+ problem has been fixed long ago.

Note You need to log in before you can comment on or make changes to this bug.